/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/_general_styling.scss';

.blockInfoContainer {
  display: flex;
  flex-direction: column;
  border-radius: 4px;
  border: 1px solid $border;
  padding: 1.25rem 1.4063rem;

  &__header {
    display: flex;
    column-gap: 1.25rem;
    row-gap: 0.5rem;
    align-items: center;

    &__icon {
      color: $coa-primary;
      align-self: center;
      width: 35px;
      height: 35px;
      border-radius: 50%;
      background: $coa-secondary;
      -webkit-border-radius: 50%;
      -moz-border-radius: 50%;
      -ms-border-radius: 50%;
      -o-border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    &__text {
      flex: 1;
      display: flex;
      flex-direction: column;
      row-gap: 0.5rem;
      overflow: hidden;
    }

    &__value {
      color: $coa-grey-100;
      font-size: 14px;
      font-style: normal;
      font-weight: 400;
      line-height: normal;
      text-overflow: ellipsis;
      overflow: hidden;
      white-space: nowrap;
    }

    &__button {
      &.--desktop {
        width: 11.25rem;

        &.--cancel {
          width: 8.0625rem;
        }

        @include breakpoint(sm) {
          display: none;
        }
      }

      &.--mobile {
        display: none;

        @include breakpoint(sm) {
          display: block;
        }
      }
    }

    &__rightContainer {
      display: flex;
      align-items: center;
      column-gap: 1.25rem;
      row-gap: 0.8rem;

      @include breakpoint(sm) {
        flex-direction: column;
        align-items: flex-end;
      }

      &__divider {
        height: 1.875rem;

        @include breakpoint(sm) {
          display: none;
        }
      }
    }
  }
}
